Subject: bug#15599: [PATCH] Inferior Lisp Mode Menu

From: Glenn Morris <[email-masked]>
Date: Thu, 24 Oct 2013 03:20:18 -0400

John Anthony wrote:

> A quick question of style before I submit a patch with your
> suggestions applied; should I check that a user is going to use a menu
> option correctly and, if not, disable it?

Sometimes yes, sometimes no. Eg it makes sense to me that "Cut" and
"Copy" in the "Edit" menu are disabled when there is no active region.

> To use a working example, should I disable "Eval Last Sexp" in the
> menu if the cursor is not positioned after a valid sexp?

But that seems like too much. I'd leave such an item always enabled.